| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::LoadingDescription::PreviewParameters Class Reference

## Public Types
enum | PreviewFlag { NoFlags = 0 , OnlyPregenerate = 1 << 0 , OnlyFromStorage = 1 << 1 }
typedef QFlags< PreviewFlag > | PreviewFlags
enum | PreviewType { NoPreview , PreviewImage , Thumbnail , DetailThumbnail }

## Public Member Functions
bool | onlyFromStorage () const
bool | onlyPregenerate () const
bool | operator== (const PreviewParameters &other) const

## Public Attributes
QVariant | extraParameter
PreviewFlags | flags = NoFlags
PreviewSettings | previewSettings
int | size = 0
QVariant | storageReference
PreviewType | type = NoPreview